<?

 /*SCRIPT PARA MANTENIMIENTO DE CONTENIDOS DE UNIDADES ACADEMICAS */

 /*DESARROLLADO POR: JOSE EFREN MONTERROSO SOLARES jefren@galileo.edu*/

  include("../fnc.php");

  enlinea_c();



  if(!$tipo_trn){

    alert("Parámetros incorrectos","javascript:history.go(-1)");

  }



  switch($tipo_trn){

   case "Add":

//   if(!$txtnivel){alert("Debe ingresar un nombre para el nivel escolar","javascript:history.go(-1)");}

    $idunidad=get_session_var("unidad_id");
    $idgrado=get_session_var("grado_id");
    $idcurso=get_session_var("curso_id");

//    echo $idcurso;

    $qver=mysql_query("select * from contenidos where unidad = $idunidad and grado = $idgrado and curso = '$idcurso'");

    if(mysql_num_rows($qver)>0){

      $iver=mysql_fetch_array($qver);

      alert("El contenido de esta unidad ya existe","javascript:history.go(-1)");

    }

                $sql="insert into

                      contenidos

                      set grado = '$idgrado',

                      unidad='$idunidad',

                      curso='$idcurso',

                      competencia='$txtcompetencia',

                      actividad='$txtactividad',

                      evaluacion='$txtevaluacion',

                      contenido='$txtcontenido',

                      recurso = '$txtrecurso'";



                 $ins=runsql($sql);

                 if($ins){

                   $idg=base64_encode($idgrado);

                   redireccionar("index2.php?op=frm_contenidov2");

                 }else{
                   echo mysql_error();
                   alert("ERROR: Por favor intente de nuevo","javascript:history.go(-1)");

                 }

   break;



   case "Update":

    $idunidad=get_session_var("unidad_id");
    $idgrado=get_session_var("grado_id");
    $idcurso=get_session_var("curso_id");



    if(!$idu or !$idg){

      //alert("Parámetros incorrectos","javascript:history.go(-1)");

    }



                $sql="update

                      contenidos set

                      competencia='$txtcompetencia',

                      actividad='$txtactividad',

                      evaluacion='$txtevaluacion',

                      contenido='$txtcontenido',

                      recurso = '$txtrecurso',
					  declarativos = '$txtdeclarativos',
					  procedimentales='$txtprocedimentales',
					  actitudinales='$txtactitudinales'
					  

                      where

                      grado = '$idgrado' and

                      unidad='$idunidad' and

                      curso = '$idcurso'";



                 $qupd=runsql($sql);

                 redireccionar("index2.php?op=frm_contenidov2");

   break;



   default:

    alert("Parámetros incorrectos","javascript:history.go(-1)");

  }



?>
